> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Calls



## OpenAPI

````yaml get /comms/call/list
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /comms/call/list:
    get:
      tags:
        - provider
        - comms
      summary: List Calls
      operationId: list_calls_comms_call_list_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Page
        - name: per_page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Per Page
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort By
        - name: sort_direction
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                enum:
                  - asc
                  - desc
              - type: 'null'
            title: Sort Direction
        - name: location_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location Id
        - name: id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Id
        - name: patient_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Patient Id
        - name: user_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: User Id
        - name: user_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: User Name
        - name: created_date
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  type: string
                  format: date-time
              - type: 'null'
            title: Created Date
        - name: duration
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Duration
        - name: direction
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/CallDirection'
              - type: 'null'
            title: Direction
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/CallStatus'
              - type: 'null'
            title: Status
        - name: transcript_contains
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Transcript Contains
        - name: tags
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Tags
        - name: phone_number
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Phone Number
        - name: tz
          in: query
          required: true
          schema:
            type: string
            title: Tz
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_CallTable_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CallDirection:
      type: string
      enum:
        - INBOUND
        - OUTBOUND
      title: CallDirection
    CallStatus:
      type: string
      enum:
        - CREATED
        - ONGOING
        - TRANSFERRED
        - DISCONNECTED
        - FAILED
        - FINISHED
        - VOICEMAIL
      title: CallStatus
    Page_CallTable_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/CallTable'
          type: array
          title: Data
        total:
          type: integer
          title: Total
      type: object
      required:
        - data
        - total
      title: Page[CallTable]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CallTable:
      properties:
        id:
          type: string
          title: Id
        sender:
          anyOf:
            - $ref: '#/components/schemas/UserTiny'
            - type: 'null'
        receiver:
          $ref: '#/components/schemas/UserTiny'
        chatId:
          type: string
          title: Chatid
        direction:
          $ref: '#/components/schemas/CallDirection'
        status:
          $ref: '#/components/schemas/CallStatus'
        completedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completeddate
        retellCallId:
          anyOf:
            - type: string
            - type: 'null'
          title: Retellcallid
        disconnectionReason:
          anyOf:
            - type: string
            - type: 'null'
          title: Disconnectionreason
        pathToAudio:
          anyOf:
            - type: string
            - type: 'null'
          title: Pathtoaudio
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        context:
          anyOf:
            - type: object
            - type: 'null'
          title: Context
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
        toolCalls:
          items:
            $ref: '#/components/schemas/ToolCallSummary'
          type: array
          title: Toolcalls
          default: []
        tags:
          items:
            $ref: '#/components/schemas/TagSummary'
          type: array
          title: Tags
          default: []
        invoiceId:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoiceid
        type:
          $ref: '#/components/schemas/CallType'
          default: MANUAL
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
      type: object
      required:
        - id
        - receiver
        - chatId
        - direction
        - status
      title: CallTable
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserTiny:
      properties:
        id:
          type: string
          title: Id
          description: The unique identifier for the user.
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
          description: The user's first name.
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
          description: The user's last name.
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
          description: The user's phone number.
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: The user's email address.
        type:
          $ref: '#/components/schemas/UserType'
          description: The type of user.
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
          description: The location of the user.
      type: object
      required:
        - id
        - type
      title: UserTiny
    ToolCallSummary:
      properties:
        id:
          type: string
          title: Id
        callId:
          anyOf:
            - type: string
            - type: 'null'
          title: Callid
        messageId:
          anyOf:
            - type: string
            - type: 'null'
          title: Messageid
        alertId:
          anyOf:
            - type: string
            - type: 'null'
          title: Alertid
        toolName:
          type: string
          title: Toolname
        toolArguments:
          type: object
          title: Toolarguments
        toolCallId:
          anyOf:
            - type: string
            - type: 'null'
          title: Toolcallid
        result:
          anyOf:
            - type: object
            - type: 'null'
          title: Result
        toolCallDescription:
          anyOf:
            - type: string
            - type: 'null'
          title: Toolcalldescription
        hasBeenCalled:
          type: boolean
          title: Hasbeencalled
          default: false
        createdDate:
          type: string
          format: date-time
          title: Createddate
      type: object
      required:
        - id
        - toolName
        - toolArguments
        - createdDate
      title: ToolCallSummary
    TagSummary:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        useForAlerts:
          type: boolean
          title: Useforalerts
        useForCalls:
          type: boolean
          title: Useforcalls
        id:
          type: string
          title: Id
      type: object
      required:
        - name
        - useForAlerts
        - useForCalls
        - id
      title: TagSummary
    CallType:
      type: string
      enum:
        - MANUAL
        - AI
      title: CallType
    UserType:
      type: string
      enum:
        - PROVIDER
        - PATIENT
        - ASSISTANT
      title: UserType

````